Loading...
Searching...
No Matches
chain_column_extra_properties.h File Reference

Contains the Gudhi::persistence_matrix::Chain_column_extra_properties class and Gudhi::persistence_matrix::Dummy_chain_properties structure. More...

Go to the source code of this file.

## Classes

struct | Gudhi::persistence_matrix::Dummy_chain_properties
| Empty structure. Inherited instead of Chain_column_extra_properties, when the columns are not meant for chain matrices. More...
class | Gudhi::persistence_matrix::Chain_column_extra_properties< Master_matrix >
| Class managing the pivot and partitioning of columns in Chain_matrix. More...

## Namespaces

namespace | Gudhi
| Gudhi namespace.
namespace | Gudhi::persistence_matrix
| Persistence matrix namespace.

## Detailed Description

Contains the Gudhi::persistence_matrix::Chain_column_extra_properties class and Gudhi::persistence_matrix::Dummy_chain_properties structure.

Author
  Hannah Schreiber